com.trendmicro.ds.appcontrol.rest.object

## Class DecisionLogDetail

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.DecisionLogDetail

-     public class DecisionLogDetail
      extends java.lang.Object

  An Application Control Decision Log Detail.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecisionLogDetail()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `getFileID()` Get the id of the application that was blocked or allowed and lead to decision log.
    `java.lang.String` | `getFileName()` Get the filename of the application that was blocked or allowed and lead to decision log.
    `java.lang.String` | `getFilePath()` Get installation path of the application that was blocked or allowed and lead to decision log.
    `java.lang.Long` | `getFileSize()` Get size of the application that was blocked or allowed and lead to decision log.
    `java.lang.String` | `getRulesetName()` Get the rulesetName of the application that was blocked or allowed and lead to decision log.
    `void` | `setFileID(java.lang.Long id)` Set the id of the application that was blocked or allowed and lead to decision log.
    `void` | `setFileName(java.lang.String fileName)` Set the filename of the application that was blocked or allowed and lead to decision log.
    `void` | `setFilePath(java.lang.String path)` Set installation path of the application that was blocked or allowed and lead to decision log.
    `void` | `setFileSize(java.lang.Long size)` Set size of the application that was blocked or allowed and lead to decision log.
    `void` | `setgetRulesetName(java.lang.String rulesetName)` Set the rulesetName of the application that was blocked or allowed and lead to decision log.
    `DecisionLogDetail` | `withFileID(java.lang.Long id)` Set the id of the application that was blocked or allowed and lead to decision log.
    `DecisionLogDetail` | `withFileName(java.lang.String fileName)` Set the filename of the application that was blocked or allowed and lead to decision log.
    `DecisionLogDetail` | `withFilePath(java.lang.String path)` Set path the installation path of the application that was blocked or allowed and lead to decision log.
    `DecisionLogDetail` | `withFileSize(java.lang.Long size)` Set size of the application that was blocked or allowed and lead to decision log.
    `DecisionLogDetail` | `withRulesetName(java.lang.String rulesetName)` Set the rulesetName of the application that was blocked or allowed and lead to decision log.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DecisionLogDetail

          public DecisionLogDetail()

  - ### Method Detail

    - #### getFileName

          public java.lang.String getFileName()

      Get the filename of the application that was blocked or allowed and lead to decision log.
      Returns:
        the filename of the application that was blocked or allowed and lead to decision log.

    - #### setFileName

          public void setFileName(java.lang.String fileName)

      Set the filename of the application that was blocked or allowed and lead to decision log.
      Parameters:
        `fileName` - the filename of the application that was blocked or allowed and lead to decision log.

    - #### withFileName

          public DecisionLogDetail withFileName(java.lang.String fileName)

      Set the filename of the application that was blocked or allowed and lead to decision log.
      Parameters:
        `fileName` - the filename of the application that was blocked or allowed and lead to decision log.
      Returns:
        the updated Decision Log Detail object.

    - #### getRulesetName

          public java.lang.String getRulesetName()

      Get the rulesetName of the application that was blocked or allowed and lead to decision log.
      Returns:
        the rulesetName of the application that was blocked or allowed and lead to decision log.

    - #### setgetRulesetName

          public void setgetRulesetName(java.lang.String rulesetName)

      Set the rulesetName of the application that was blocked or allowed and lead to decision log.
      Parameters:
        `rulesetName` - the rulesetName of the application that was blocked or allowed and lead to decision log.

    - #### withRulesetName

          public DecisionLogDetail withRulesetName(java.lang.String rulesetName)

      Set the rulesetName of the application that was blocked or allowed and lead to decision log.
      Parameters:
        `rulesetName` - the rulesetName of the application that was blocked or allowed and lead to decision log.
      Returns:
        the updated Decision Log Detail object.

    - #### getFilePath

          public java.lang.String getFilePath()

      Get installation path of the application that was blocked or allowed and lead to decision log.
      Returns:
        path the installation path of the application that was blocked or allowed and lead to decision log.

    - #### setFilePath

          public void setFilePath(java.lang.String path)

      Set installation path of the application that was blocked or allowed and lead to decision log.
      Parameters:
        `path` - the installation path of the application that was blocked or allowed and lead to decision log.

    - #### withFilePath

          public DecisionLogDetail withFilePath(java.lang.String path)

      Set path the installation path of the application that was blocked or allowed and lead to decision log.
      Parameters:
        `path` - the installation path of the application that was blocked or allowed and lead to decision log.
      Returns:
        the updated Decision Log Detail object.

    - #### getFileSize

          public java.lang.Long getFileSize()

      Get size of the application that was blocked or allowed and lead to decision log.
      Returns:
        the size of the application that was blocked or allowed and lead to decision log.

    - #### setFileSize

          public void setFileSize(java.lang.Long size)

      Set size of the application that was blocked or allowed and lead to decision log.
      Parameters:
        `the` - size of the application that was blocked or allowed and lead to decision log.

    - #### withFileSize

          public DecisionLogDetail withFileSize(java.lang.Long size)

      Set size of the application that was blocked or allowed and lead to decision log.
      Parameters:
        `size` - size of the application that was blocked or allowed and lead to decision log.
      Returns:
        the updated Decision Log object.

    - #### getFileID

          public java.lang.Long getFileID()

      Get the id of the application that was blocked or allowed and lead to decision log.
      Returns:
        the id of the application that was blocked or allowed and lead to decision log.

    - #### setFileID

          public void setFileID(java.lang.Long id)

      Set the id of the application that was blocked or allowed and lead to decision log.
      Parameters:
        `the` - id of the application that was blocked or allowed and lead to decision log.

    - #### withFileID

          public DecisionLogDetail withFileID(java.lang.Long id)

      Set the id of the application that was blocked or allowed and lead to decision log.
      Parameters:
        `the` - id of the application that was blocked or allowed and lead to decision log.
      Returns:
        the id of the application that was blocked or allowed and lead to decision log.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.